import { Plugin, NodeInterface, SchemaInterface, PluginOptions } from '@aomao/engine';
import HrComponent, { HrValue } from './component';
export interface HrOptions extends PluginOptions {
    hotkey?: string | Array<string>;
    markdown?: boolean;
}
export default class<T extends HrOptions = HrOptions> extends Plugin<T> {
    static get pluginName(): string;
    init(): void;
    execute(): void;
    hotkey(): string | string[];
    markdown(event: KeyboardEvent): false | undefined;
    checkMarkdown(node: NodeInterface): {
        reg: RegExp;
        match: RegExpExecArray | null;
    } | undefined;
    pasteMarkdown(node: NodeInterface): void;
    pasteSchema(schema: SchemaInterface): void;
    pasteHtml(node: NodeInterface): boolean | undefined;
    parseHtml(root: NodeInterface): void;
}
export { HrComponent };
export type { HrValue };
